import { TaskStatus } from '@bringg/types';
import { Task } from '../ApiTypes/ApiTypes';
export declare const OPEN_TASK_STATUES: TaskStatus[];
export declare const DONE_TASK_STATUES: TaskStatus[];
export declare class TaskHelpers {
    static isReadyToExecute(task: Task): boolean;
    static isTaskInOpenState(task: Task): boolean;
    static isDone(task: Task): boolean;
    static isGroupFollower(task: Task): boolean;
    static isUnacknowledged(task: Task): boolean;
    static isLate(task: Task): boolean;
    static isInOpenState(task: Task): boolean;
    static isInPlanningState(task: Task): boolean;
    static isInClosedState(task: Task): boolean;
    static isInvalid(task: Task): boolean;
}
